Subject: Re: bug#26599: patch for mwheel.el

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Jan 2020 21:06:27 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Fri, 28 Apr 2017 18:12:50 +0900 (JST)
>>> Cc: [email-masked], [email-masked]
>>> From: Tak Kunihiro <[email-masked]>
>>> 
>>> > What makes this special is that you want Emacs to work differently
>>> > depending on the input device.  Emacs normally makes a significant
>>> > effort in the other direction: to produce the same behavior no matter
>>> > where input came from.
>>> > 
>>> > I'm not sure we want to have such unusual behavior as part of Emacs.
>>> 
>>> Can you take a look minor-mode that I want to invoke by hook?  I still
>>> think this is potentially useful to mouse-loving cloud using
>>> <wheel-left> and <wheel-right>.
>>
>> I'm okay with adding this to ELPA.
>
> But for this minor mode to work, I think mwheel-pre-scroll-hook had to
> be implemented, if I understood correctly?
>
> This is two years old, though, so I'm not sure any of this is still an
> issue...

That was over 7 months ago.  Is there still any interest in adding
this package to ELPA?  Thanks.

Best regards,
Stefan Kangas